#include <windows.h>

typedef enum {
	ulHover, ulNone, ulAlways
} ULSTYLE;

typedef struct {
	UCHAR*		ucLink;
	UCHAR*		ucText;
	UCHAR*		ucTooltip;
	COLORREF	fgcNormal;
	COLORREF	fgcHover;
	COLORREF	bgcNormal;
	COLORREF	bgcHover;
	ULSTYLE		ulStyle;
	UINT		dtStyle;
	BOOL		bAutoSize;
	BOOL		bPlayClick;
} HYPCTRL;

// public functions
BOOL InitHypCtrl(HCURSOR lpCursorName);
void InitHypCtrlStruct(HYPCTRL* pHc);
HWND CreateHypCtrl(HWND hWndParent, HYPCTRL* pHc, int x, int y, int width, int height);


